We are moving to Git Issues for bug tracking in future releases. During transition, content will be in both tools. If you'd like to file a new bug, please create an issue.

Bug 8514

Summary: Update getting statistics in popular articles plugins
Product: OJS Reporter: beghelli <bruno.beghelli>
Component: Plug-insAssignee: PKP Support <pkp-support>
Status: RESOLVED FIXED    
Severity: normal    
Priority: P3    
Version: 2.4.x   
Hardware: All   
OS: All   
Version Reported In: Also Affects:
Attachments: Patch to adapt plugin getting stats
Patch against pkp lib to add additive metrics option
Patch against block template

Description beghelli 2013-12-11 19:54:39 PST
Need to adapt the plugin to use the new metrics structure.
Comment 1 beghelli 2013-12-11 19:56:05 PST
Created attachment 3978 [details]
Patch to adapt plugin getting stats
Comment 2 beghelli 2013-12-11 19:57:07 PST
Created attachment 3979 [details]
Patch against pkp lib to add additive metrics option
Comment 3 beghelli 2013-12-11 19:59:56 PST
The solution proposed here should be taken with care, because it mix two metrics: the journal default one and the ojs::legacyDefault. The objective is to still show the old results, but adding the new statistics that the 2.4.3 version will get.
Comment 4 beghelli 2013-12-18 15:17:08 PST
Created attachment 3981 [details]
Patch against block template
Comment 5 beghelli 2014-10-26 05:07:12 PDT
Fixed this plugin for OJS 2.4.5. Download it from here: http://pkp.sfu.ca/wiki/index.php?title=Reference_Plugins